Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] CentOS 6.3 & OpenMPI 1.6.3
From: Joseph Farran (jfarran_at_[hidden])
Date: 2012-12-10 17:22:55


Hi YK.

An update that with your latest Mellanox drivers, I was able to compile OpenMPI 1.6.3 successfully.

So yes the issue was with the mxm drivers.

Thank you,
Joseph

On 12/06/2012 01:41 AM, Yevgeny Kliteynik wrote:
> Joseph,
>
> Indeed, there was a problem in the MXM rpm.
> The fixed MXM has been published at the same location:
> http://mellanox.com/downloads/hpc/mxm/v1.1/mxm-latest.tar
>
> -- YK
>
> On 12/4/2012 9:20 AM, Joseph Farran wrote:
>> Hi Mike.
>>
>> Removed the old mxm, downloaded and installed:
>>
>> /tmp/mxm/v1.1/per-ofed/1.5.4.1/mxm-1.1.3a5e745-1.x86_64-rhel6u3.rpm
>>
>> I am suing OFED 1.5.4.1 and it still fails at the same spot:
>>
>> make[2]: Entering directory `/data/apps/sources/openmpi-1.6.3/ompi/mca/mtl/mxm'
>> CC mtl_mxm.lo
>> CC mtl_mxm_cancel.lo
>> CC mtl_mxm_component.lo
>> CC mtl_mxm_endpoint.lo
>> CC mtl_mxm_probe.lo
>> CC mtl_mxm_recv.lo
>> CC mtl_mxm_send.lo
>> CCLD mca_mtl_mxm.la
>> /bin/grep: /usr/local/mofed-inst/1.5.4.1/lib/librdmacm.la: No such file or directory
>> /bin/sed: can't read /usr/local/mofed-inst/1.5.4.1/lib/librdmacm.la: No such file or directory
>> libtool: link: `/usr/local/mofed-inst/1.5.4.1/lib/librdmacm.la' is not a valid libtool archive
>> make[2]: *** [mca_mtl_mxm.la] Error 1
>> make[2]: Leaving directory `/data/apps/sources/openmpi-1.6.3/ompi/mca/mtl/mxm'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory `/data/apps/sources/openmpi-1.6.3/ompi'
>> make: *** [all-recursive] Error 1
>>
>>
>> On 12/2/2012 10:18 PM, Mike Dubman wrote:
>>> ohh.. you have MOFED 1.5.4.1, thought it was 1.5.3-3.1.0
>>> will provide you a link to mxm package compiled with this MOFED version (thanks to no ABI in OFED).
>>>
>>> On Sun, Dec 2, 2012 at 10:04 PM, Joseph Farran<jfarran_at_[hidden]<mailto:jfarran_at_[hidden]>> wrote:
>>>
>>> 1.5.4.1
>>>
>>>
>>